/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 02/11/2017
 --------------------------------------------------------
*/
package com.portofolio.dto;

import javax.validation.constraints.NotNull;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class LoginUserCustomDto {

	private String noCM;

	private String kdPegawai;

	private Long kodeUser;

	private Integer kdKelompokUser;

	private String namaUserMobile;

	private String namaUserEmail;

	private String kataSandi;

	private String hintKataSandi;

	private Long tglDaftar;

	private String namaLengkap;

	private Long tglLahir;

	private String jenisKelamin;

	private String noIdentitas;

	private String alamatLengkap;

	private String imageUser;

	private String pathFileImageUser;

	@NotNull(message = "loginuser.statusenabled.notnull")
	private Boolean statusEnabled;

	private String noRec;

	private Integer version;

}
